# Build with python by default
%bcond_without python

Name:           xed
Version:        2.0.2
Release:        %mkrel 1
Summary:        A small and lightweight text editor
License:        GPLv2+
Group:          Editors
Url:            https://github.com/linuxmint/xed
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        xed.desktop
BuildRequires:  mate-common
BuildRequires:  meson
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(pygtksourceview-2.0)
BuildRequires:  python3-gobject3
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(xapp)
BuildRequires:  gnome-common
BuildRequires:  itstool


%description
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.

%package devel
Summary:        Small and lightweight text editor
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
X-Apps Text Editor is a small, but powerful text editor designed
for the Cinnamon desktop and others. It has most standard text
editor functions and fully supports international text in Unicode.
Advanced features include syntax highlighting and automatic
indentation of source code, printing and editing of multiple
documents in one window.

X-Apps Text Editor is extensible through a plugin system, which
currently includes support for spell checking, comparing files,
viewing VCS ChangeLogs, and adjusting indentation levels.


%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%doc COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.x.editor.service
%{_mandir}/man?/%{name}.*
%{_datadir}/metainfo/xed.appdata.xml
%{_datadir}/help

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Apr 18 2019 tex - 2.0.2-1pclos2019
- update to 2.0.2
